## ros-kinetic-roslaunch 1.12.17

=== debian/changelog ===
ros-kinetic-roslaunch (1.12.17-1xenial) xenial; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Change error message (#2035 <https://github.com/ros/ros_comm/issues/2035>)
  * Contributors: Andreas Vinter-Hviid, Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-roslaunch (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-roslaunch (1.12.15-1xenial) xenial; urgency=high

  * fix NameError in launch error handling (#1965 <https://github.com/ros/ros_comm/issues/1965>)
  * allow empty ssh password for remote launching (#1826 <https://github.com/ros/ros_comm/issues/1826>)
  * fix missing args (#1733 <https://github.com/ros/ros_comm/issues/1733>)
  * fix $(dirname) for roslaunch-check. (#1624 <https://github.com/ros/ros_comm/issues/1624>)
  * make roslaunch-check respect arg remappings with command line argument (#1653 <https://github.com/ros/ros_comm/issues/1653>)
  * respawn if process died while checking should_respawn() (#1590 <https://github.com/ros/ros_comm/issues/1590>)
  * normalize strings to utf-8 before setting as environment variable (#1593 <https://github.com/ros/ros_comm/issues/1593>)
  * exclude unused args check if pass_all_args is set (#1520 <https://github.com/ros/ros_comm/issues/1520>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-roslaunch (1.12.14-1xenial) xenial; urgency=high

  * fix "pass_all_args" for roslaunch-check, add nosetest (#1368 <https://github.com/ros/ros_comm/issues/1368>)
  * add substitution when loading yaml files (#1354 <https://github.com/ros/ros_comm/issues/1354>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-roslaunch (1.12.13-1xenial) xenial; urgency=high

  * add process listeners to XML RPC server (#1319 <https://github.com/ros/ros_comm/issues/1319>)
  * make master process explicitly 'required' for parent launch (#1228 <https://github.com/ros/ros_comm/issues/1228>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-roslaunch (1.12.12-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-roslaunch (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-roslaunch (1.12.10-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-roslaunch (1.12.9-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-roslaunch (1.12.8-1xenial) xenial; urgency=high

  * fix parameter leaking into sibling scopes (#1158 <https://github.com/ros/ros_comm/issues/1158>)
  * remove mention of rosmake from error message (#1140 <https://github.com/ros/ros_comm/issues/1140>)
  * only launch core nodes if master was launched by roslaunch (#1098 <https://github.com/ros/ros_comm/pull/1098>)
  * ensure pid file is removed on exit (#1057 <https://github.com/ros/ros_comm/pull/1057>, #1084 <https://github.com/ros/ros_comm/pull/1084>)
  * ensure cwd exists (#1031 <https://github.com/ros/ros_comm/pull/1031>)
  * respect if/unless for roslaunch-check (#998 <https://github.com/ros/ros_comm/pull/998>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-roslaunch (1.12.7-1xenial) xenial; urgency=high

  * improve error message for invalid tags (#989 <https://github.com/ros/ros_comm/pull/989>)
  * fix caching logic to improve performance (#931 <https://github.com/ros/ros_comm/pull/931>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-roslaunch (1.12.6-1xenial) xenial; urgency=high

  * add USE_TEST_DEPENDENCIES option to roslaunch_add_file_check() (#910 <https://github.com/ros/ros_comm/pull/910>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-roslaunch (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-roslaunch (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-roslaunch (1.12.3-1xenial) xenial; urgency=high

  * better naming for roslaunch check test results (#897 <https://github.com/ros/ros_comm/pull/897>)
  * support use_test_depends option for roslaunch-check (#887 <https://github.com/ros/ros_comm/pull/887>)
  * allow empty include (#882 <https://github.com/ros/ros_comm/pull/882>)
  * fix param command for Python 3 (#840 <https://github.com/ros/ros_comm/pull/840>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-roslaunch (1.12.2-1xenial) xenial; urgency=high

  * support registering the same test multiple times with different arguments (#814 <https://github.com/ros/ros_comm/pull/814>)
  * fix passing multiple args to roslaunch_add_file_check (#814 <https://github.com/ros/ros_comm/pull/814>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-roslaunch (1.12.1-1xenial) xenial; urgency=high

  * add support for Python expressions (#784 <https://github.com/ros/ros_comm/pull/784>, #793 <https://github.com/ros/ros_comm/pull/793>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-roslaunch (1.12.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-roslaunch (1.11.18-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-roslaunch (1.11.17-1xenial) xenial; urgency=high


