=== debian/control ===
Source: ros-kinetic-roslaunch
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin (>= 0.5.78), ros-kinetic-rosbuild
Homepage: http://ros.org/wiki/roslaunch
Standards-Version: 3.9.2

Package: ros-kinetic-roslaunch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-paramiko, python-rospkg (>= 1.0.37), python-yaml, ros-kinetic-rosclean, ros-kinetic-rosgraph-msgs, ros-kinetic-roslib, ros-kinetic-rosmaster (>= 1.11.16), ros-kinetic-rosout, ros-kinetic-rosparam, ros-kinetic-rosunit (>= 1.13.3)
Description: roslaunch is a tool for easily launching multiple ROS nodes locally and remotely via SSH, as well as setting parameters on the Parameter Server.
 It includes options to automatically respawn processes that have already died. roslaunch takes in one or more XML configuration files (with the .launch extension) that specify the parameters to set and nodes to launch, as well as the machines that they should be run on.
